# Changelog

<!-- <START NEW CHANGELOG ENTRY> -->

## 1.0.2

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/@jupyter/ydoc@1.0.1...3b3a4af50ea46abd886076b69b93ee0dab6b05c5))

### Enhancements made

- Trust the default cell [#161](https://github.com/jupyter-server/jupyter_ydoc/pull/161) ([@krassowski](https://github.com/krassowski))

### Maintenance and upkeep improvements

- Run yarn subprocess in shell mode [#162](https://github.com/jupyter-server/jupyter_ydoc/pull/162) ([@davidbrochart](https://github.com/davidbrochart))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2023-04-11&to=2023-04-14&type=c))

[@davidbrochart](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adavidbrochart+updated%3A2023-04-11..2023-04-14&type=Issues) | [@fcollonval](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Afcollonval+updated%3A2023-04-11..2023-04-14&type=Issues) | [@krassowski](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Akrassowski+updated%3A2023-04-11..2023-04-14&type=Issues) | [@welcome](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Awelcome+updated%3A2023-04-11..2023-04-14&type=Issues)

<!-- <END NEW CHANGELOG ENTRY> -->

## 1.0.1

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/@jupyter/ydoc@1.0.0...6672e3dd27c2980f45ce1037101f0198fac3d9ff))

### Bugs fixed

- Fix metadata issue [#158](https://github.com/jupyter-server/jupyter_ydoc/pull/158) ([@hbcarlos](https://github.com/hbcarlos))

### Maintenance and upkeep improvements

### Documentation improvements

- Fix ignore_links [#155](https://github.com/jupyter-server/jupyter_ydoc/pull/155) ([@fcollonval](https://github.com/fcollonval))
- Enhance the documentation [#154](https://github.com/jupyter-server/jupyter_ydoc/pull/154) ([@fcollonval](https://github.com/fcollonval))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2023-03-29&to=2023-04-11&type=c))

[@fcollonval](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Afcollonval+updated%3A2023-03-29..2023-04-11&type=Issues) | [@hbcarlos](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Ahbcarlos+updated%3A2023-03-29..2023-04-11&type=Issues) | [@pre-commit-ci](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Apre-commit-ci+updated%3A2023-03-29..2023-04-11&type=Issues)

## 1.0.0

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/v0.3.4...6ad2fde183a3f592d8a2ff58254b229859caba01))

### Enhancements made

- Add py.typed [#152](https://github.com/jupyter-server/jupyter_ydoc/pull/152) ([@davidbrochart](https://github.com/davidbrochart))
- Add model version [#139](https://github.com/jupyter-server/jupyter_ydoc/pull/139) ([@davidbrochart](https://github.com/davidbrochart))

### Maintenance and upkeep improvements

- Add py.typed [#152](https://github.com/jupyter-server/jupyter_ydoc/pull/152) ([@davidbrochart](https://github.com/davidbrochart))
- Bump dependencies and yarn [#151](https://github.com/jupyter-server/jupyter_ydoc/pull/151) ([@fcollonval](https://github.com/fcollonval))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2023-02-22&to=2023-03-28&type=c))

[@davidbrochart](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adavidbrochart+updated%3A2023-02-22..2023-03-28&type=Issues) | [@fcollonval](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Afcollonval+updated%3A2023-02-22..2023-03-28&type=Issues) | [@hbcarlos](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Ahbcarlos+updated%3A2023-02-22..2023-03-28&type=Issues)

## 0.3.4

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/@jupyter/ydoc@0.3.3...3c3aa3e0421193f391b10ae23745f235a6923cff))

### Bugs fixed

- Fix notebook undo scope [#148](https://github.com/jupyter-server/jupyter_ydoc/pull/148) ([@fcollonval](https://github.com/fcollonval))

### Maintenance and upkeep improvements

- Add releaser workflows [#150](https://github.com/jupyter-server/jupyter_ydoc/pull/150) ([@fcollonval](https://github.com/fcollonval))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2023-02-21&to=2023-02-22&type=c))

[@fcollonval](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Afcollonval+updated%3A2023-02-21..2023-02-22&type=Issues)

## 0.3.3

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/@jupyter/ydoc@0.3.2...c7b05c187afcf7e0c27bd42dbc5038f53250ca8c))

### Bugs fixed

- Workaround for ypy 0.6.0 [#147](https://github.com/jupyter-server/jupyter_ydoc/pull/147) ([@davidbrochart](https://github.com/davidbrochart))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2023-02-20&to=2023-02-21&type=c))

[@davidbrochart](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adavidbrochart+updated%3A2023-02-20..2023-02-21&type=Issues)

## 0.3.2

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/@jupyter/ydoc@0.3.1...544b1dc696635b3e6a81250e411a5f5de84a0aff))

### Enhancements made

- Update `YDocument` constructor [#142](https://github.com/jupyter-server/jupyter_ydoc/pull/142) ([@trungleduc](https://github.com/trungleduc))
- Add ycells getter [#136](https://github.com/jupyter-server/jupyter_ydoc/pull/136) ([@davidbrochart](https://github.com/davidbrochart))
- Split documents into separate files [#135](https://github.com/jupyter-server/jupyter_ydoc/pull/135) ([@davidbrochart](https://github.com/davidbrochart))

### Maintenance and upkeep improvements

- Update with ypy v0.6.0 [#145](https://github.com/jupyter-server/jupyter_ydoc/pull/145) ([@davidbrochart](https://github.com/davidbrochart))
- Update `YDocument` constructor [#142](https://github.com/jupyter-server/jupyter_ydoc/pull/142) ([@trungleduc](https://github.com/trungleduc))
- Add ycells getter [#136](https://github.com/jupyter-server/jupyter_ydoc/pull/136) ([@davidbrochart](https://github.com/davidbrochart))
- Split documents into separate files [#135](https://github.com/jupyter-server/jupyter_ydoc/pull/135) ([@davidbrochart](https://github.com/davidbrochart))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2023-01-26&to=2023-02-20&type=c))

[@davidbrochart](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adavidbrochart+updated%3A2023-01-26..2023-02-20&type=Issues) | [@pre-commit-ci](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Apre-commit-ci+updated%3A2023-01-26..2023-02-20&type=Issues) | [@trungleduc](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Atrungleduc+updated%3A2023-01-26..2023-02-20&type=Issues) | [@welcome](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Awelcome+updated%3A2023-01-26..2023-02-20&type=Issues)

## 0.3.1

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/@jupyter/ydoc@0.3.0...f130d4b26f4039309d27edba7213ae5d73a0a2bf))

### Bugs fixed

- Fixes handling metadata changes [#134](https://github.com/jupyter-server/jupyter_ydoc/pull/134) ([@hbcarlos](https://github.com/hbcarlos))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2023-01-24&to=2023-01-26&type=c))

[@hbcarlos](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Ahbcarlos+updated%3A2023-01-24..2023-01-26&type=Issues)

## 0.3.0

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/234334f70cc763f05f4e9185e6d957d96e8f5a24...e8510e0196e959f40863cdb92ec358c1257526dc))

### Enhancements made

- Improves the initialization [#124](https://github.com/jupyter-server/jupyter_ydoc/pull/124) ([@hbcarlos](https://github.com/hbcarlos))
- Improve Python API [#122](https://github.com/jupyter-server/jupyter_ydoc/pull/122) ([@davidbrochart](https://github.com/davidbrochart))
- Notebook metadata [#115](https://github.com/jupyter-server/jupyter_ydoc/pull/115) ([@hbcarlos](https://github.com/hbcarlos))
- Make `YDocument` a `IObservableDisposable` [#108](https://github.com/jupyter-server/jupyter_ydoc/pull/108) ([@fcollonval](https://github.com/fcollonval))
- Add readme to javascript package [#106](https://github.com/jupyter-server/jupyter_ydoc/pull/106) ([@fcollonval](https://github.com/fcollonval))
- Adds docstring to the python package [#101](https://github.com/jupyter-server/jupyter_ydoc/pull/101) ([@hbcarlos](https://github.com/hbcarlos))
- Import shared model [#86](https://github.com/jupyter-server/jupyter_ydoc/pull/86) ([@fcollonval](https://github.com/fcollonval))
- Add path document attribute [#81](https://github.com/jupyter-server/jupyter_ydoc/pull/81) ([@davidbrochart](https://github.com/davidbrochart))
- Make YBaseDoc an abstract base class [#74](https://github.com/jupyter-server/jupyter_ydoc/pull/74) ([@davidbrochart](https://github.com/davidbrochart))

### Bugs fixed

- Fixes multiple bugs [#131](https://github.com/jupyter-server/jupyter_ydoc/pull/131) ([@hbcarlos](https://github.com/hbcarlos))
- Fixes metadata [#120](https://github.com/jupyter-server/jupyter_ydoc/pull/120) ([@hbcarlos](https://github.com/hbcarlos))
- Support cell.source is \[list, of, string\] [#112](https://github.com/jupyter-server/jupyter_ydoc/pull/112) ([@Wh1isper](https://github.com/Wh1isper))
- Removes YMap for attachements [#77](https://github.com/jupyter-server/jupyter_ydoc/pull/77) ([@fcollonval](https://github.com/fcollonval))
- Drop `pkg_resources` [#59](https://github.com/jupyter-server/jupyter_ydoc/pull/59) ([@jtpio](https://github.com/jtpio))

### Maintenance and upkeep improvements

- Integrity check [#132](https://github.com/jupyter-server/jupyter_ydoc/pull/132) ([@hbcarlos](https://github.com/hbcarlos))
- Import all document types from __init__ [#127](https://github.com/jupyter-server/jupyter_ydoc/pull/127) ([@davidbrochart](https://github.com/davidbrochart))
- docs: small README typo fix [#126](https://github.com/jupyter-server/jupyter_ydoc/pull/126) ([@agoose77](https://github.com/agoose77))
- Bump toshimaru/auto-author-assign from 1.6.1 to 1.6.2 [#121](https://github.com/jupyter-server/jupyter_ydoc/pull/121) ([@dependabot](https://github.com/dependabot))
- Set up lerna [#119](https://github.com/jupyter-server/jupyter_ydoc/pull/119) ([@fcollonval](https://github.com/fcollonval))
- Bump tj-actions/changed-files from 35.1.0 to 35.2.1 [#118](https://github.com/jupyter-server/jupyter_ydoc/pull/118) ([@dependabot](https://github.com/dependabot))
- Bump tj-actions/changed-files from 35.0.0 to 35.1.0 [#116](https://github.com/jupyter-server/jupyter_ydoc/pull/116) ([@dependabot](https://github.com/dependabot))
- Bump tj-actions/changed-files from 34.5.3 to 35.0.0 [#113](https://github.com/jupyter-server/jupyter_ydoc/pull/113) ([@dependabot](https://github.com/dependabot))
- Bump tj-actions/changed-files from 34.5.0 to 34.5.3 [#109](https://github.com/jupyter-server/jupyter_ydoc/pull/109) ([@dependabot](https://github.com/dependabot))
- Bump tj-actions/changed-files from 34.4.4 to 34.5.0 [#100](https://github.com/jupyter-server/jupyter_ydoc/pull/100) ([@dependabot](https://github.com/dependabot))
- Bump actions/upload-artifact from 2 to 3 [#99](https://github.com/jupyter-server/jupyter_ydoc/pull/99) ([@dependabot](https://github.com/dependabot))
- Rename JS package to `@jupyter/ydoc` [#97](https://github.com/jupyter-server/jupyter_ydoc/pull/97) ([@jtpio](https://github.com/jtpio))
- Bump tj-actions/changed-files from 34.4.0 to 34.4.4 [#94](https://github.com/jupyter-server/jupyter_ydoc/pull/94) ([@dependabot](https://github.com/dependabot))
- Backport #90 on branch main (Releaser) [#92](https://github.com/jupyter-server/jupyter_ydoc/pull/92) ([@fcollonval](https://github.com/fcollonval))
- Bump tj-actions/changed-files from 34.2.2 to 34.4.0 [#91](https://github.com/jupyter-server/jupyter_ydoc/pull/91) ([@dependabot](https://github.com/dependabot))
- Bump tj-actions/changed-files from 34.0.2 to 34.2.2 [#87](https://github.com/jupyter-server/jupyter_ydoc/pull/87) ([@dependabot](https://github.com/dependabot))
- Bump tj-actions/changed-files from 33.0.0 to 34.0.2 [#84](https://github.com/jupyter-server/jupyter_ydoc/pull/84) ([@dependabot](https://github.com/dependabot))
- Bump tj-actions/changed-files from 31.0.3 to 33.0.0 [#80](https://github.com/jupyter-server/jupyter_ydoc/pull/80) ([@dependabot](https://github.com/dependabot))
- Bump pre-commit/action from 2.0.0 to 3.0.0 [#72](https://github.com/jupyter-server/jupyter_ydoc/pull/72) ([@dependabot](https://github.com/dependabot))
- Bump actions/checkout from 2 to 3 [#71](https://github.com/jupyter-server/jupyter_ydoc/pull/71) ([@dependabot](https://github.com/dependabot))
- Bump actions/setup-python from 2 to 4 [#70](https://github.com/jupyter-server/jupyter_ydoc/pull/70) ([@dependabot](https://github.com/dependabot))
- Bump actions/cache from 1 to 3 [#69](https://github.com/jupyter-server/jupyter_ydoc/pull/69) ([@dependabot](https://github.com/dependabot))
- Bump actions/setup-node from 2 to 3 [#68](https://github.com/jupyter-server/jupyter_ydoc/pull/68) ([@dependabot](https://github.com/dependabot))
- Bump tj-actions/changed-files from 31.0.1 to 31.0.3 [#67](https://github.com/jupyter-server/jupyter_ydoc/pull/67) ([@dependabot](https://github.com/dependabot))

### Documentation improvements

- Add badges [#105](https://github.com/jupyter-server/jupyter_ydoc/pull/105) ([@fcollonval](https://github.com/fcollonval))
- Docs [#102](https://github.com/jupyter-server/jupyter_ydoc/pull/102) ([@hbcarlos](https://github.com/hbcarlos))
- Adds docstring to the python package [#101](https://github.com/jupyter-server/jupyter_ydoc/pull/101) ([@hbcarlos](https://github.com/hbcarlos))
- Documentation [#95](https://github.com/jupyter-server/jupyter_ydoc/pull/95) ([@hbcarlos](https://github.com/hbcarlos))

### API and Breaking Changes

- Remove factory API [#133](https://github.com/jupyter-server/jupyter_ydoc/pull/133) ([@hbcarlos](https://github.com/hbcarlos))
- Fixes multiple bugs [#131](https://github.com/jupyter-server/jupyter_ydoc/pull/131) ([@hbcarlos](https://github.com/hbcarlos))
- Import shared model [#86](https://github.com/jupyter-server/jupyter_ydoc/pull/86) ([@fcollonval](https://github.com/fcollonval))

### Other merged PRs

- Fixes build js docs [#96](https://github.com/jupyter-server/jupyter_ydoc/pull/96) ([@hbcarlos](https://github.com/hbcarlos))
- Add workflows to ease maintenance [#64](https://github.com/jupyter-server/jupyter_ydoc/pull/64) ([@fcollonval](https://github.com/fcollonval))
- Test a case with plotly renderer [#63](https://github.com/jupyter-server/jupyter_ydoc/pull/63) ([@fcollonval](https://github.com/fcollonval))
- Pin @jupyterlab/shared-models >=4.0.0-alpha.10,\<4.0.0-alpha.14 [#61](https://github.com/jupyter-server/jupyter_ydoc/pull/61) ([@davidbrochart](https://github.com/davidbrochart))
- Cast only if number has same value [#57](https://github.com/jupyter-server/jupyter_ydoc/pull/57) ([@davidbrochart](https://github.com/davidbrochart))
- Add back YMap for cell metadata [#53](https://github.com/jupyter-server/jupyter_ydoc/pull/53) ([@davidbrochart](https://github.com/davidbrochart))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2022-09-26&to=2023-01-24&type=c))

[@agoose77](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Aagoose77+updated%3A2022-09-26..2023-01-24&type=Issues) | [@davidbrochart](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adavidbrochart+updated%3A2022-09-26..2023-01-24&type=Issues) | [@dependabot](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adependabot+updated%3A2022-09-26..2023-01-24&type=Issues) | [@fcollonval](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Afcollonval+updated%3A2022-09-26..2023-01-24&type=Issues) | [@hbcarlos](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Ahbcarlos+updated%3A2022-09-26..2023-01-24&type=Issues) | [@jtpio](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Ajtpio+updated%3A2022-09-26..2023-01-24&type=Issues) | [@meeseeksdev](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Ameeseeksdev+updated%3A2022-09-26..2023-01-24&type=Issues) | [@pre-commit-ci](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Apre-commit-ci+updated%3A2022-09-26..2023-01-24&type=Issues) | [@welcome](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Awelcome+updated%3A2022-09-26..2023-01-24&type=Issues) | [@Wh1isper](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3AWh1isper+updated%3A2022-09-26..2023-01-24&type=Issues)

## 0.3.0a6

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/930ac19c5bd65d239e56662d460eddd9398c72e1...7b6af75283a7f6f6272de23530eb7a7d7dc122c2))

### Bugs fixed

- Fixes multiple bugs [#131](https://github.com/jupyter-server/jupyter_ydoc/pull/131) ([@hbcarlos](https://github.com/hbcarlos))

### Maintenance and upkeep improvements

- Integrity check [#132](https://github.com/jupyter-server/jupyter_ydoc/pull/132) ([@hbcarlos](https://github.com/hbcarlos))

### API and Breaking Changes

- Fixes multiple bugs [#131](https://github.com/jupyter-server/jupyter_ydoc/pull/131) ([@hbcarlos](https://github.com/hbcarlos))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2023-01-17&to=2023-01-19&type=c))

[@hbcarlos](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Ahbcarlos+updated%3A2023-01-17..2023-01-19&type=Issues)

## 0.3.0a5

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/@jupyter/ydoc-test@0.0.1...55d80f00b604c9f26955617acbb044abb619b139))

### Enhancements made

- Improve IFactory API [#129](https://github.com/jupyter-server/jupyter_ydoc/pull/129) ([@hbcarlos](https://github.com/hbcarlos))
- Improve Python API [#122](https://github.com/jupyter-server/jupyter_ydoc/pull/122) ([@davidbrochart](https://github.com/davidbrochart))

### Maintenance and upkeep improvements

- Import all document types from __init__ [#127](https://github.com/jupyter-server/jupyter_ydoc/pull/127) ([@davidbrochart](https://github.com/davidbrochart))
- docs: small README typo fix [#126](https://github.com/jupyter-server/jupyter_ydoc/pull/126) ([@agoose77](https://github.com/agoose77))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2023-01-13&to=2023-01-17&type=c))

[@agoose77](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Aagoose77+updated%3A2023-01-13..2023-01-17&type=Issues) | [@davidbrochart](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adavidbrochart+updated%3A2023-01-13..2023-01-17&type=Issues) | [@hbcarlos](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Ahbcarlos+updated%3A2023-01-13..2023-01-17&type=Issues)

## 0.3.0a4

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/@jupyter/ydoc-test@0.0.1...db30bfaedcd6d09289555bf8c01359fd03c667fb))

### Enhancements made

- Improve Python API [#122](https://github.com/jupyter-server/jupyter_ydoc/pull/122) ([@davidbrochart](https://github.com/davidbrochart))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2023-01-13&to=2023-01-14&type=c))

[@davidbrochart](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adavidbrochart+updated%3A2023-01-13..2023-01-14&type=Issues)

## 0.3.0a3

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/v0.2.0...936175a15ea8500fd1ce2a0773930e82dd4e4687))

### Enhancements made

- Adds the API for a ISharedDocument factory [#125](https://github.com/jupyter-server/jupyter_ydoc/pull/125) ([@hbcarlos](https://github.com/hbcarlos))
- Improves the initialization [#124](https://github.com/jupyter-server/jupyter_ydoc/pull/124) ([@hbcarlos](https://github.com/hbcarlos))
- Notebook metadata [#115](https://github.com/jupyter-server/jupyter_ydoc/pull/115) ([@hbcarlos](https://github.com/hbcarlos))
- Make `YDocument` a `IObservableDisposable` [#108](https://github.com/jupyter-server/jupyter_ydoc/pull/108) ([@fcollonval](https://github.com/fcollonval))
- Add readme to javascript package [#106](https://github.com/jupyter-server/jupyter_ydoc/pull/106) ([@fcollonval](https://github.com/fcollonval))
- Adds docstring to the python package [#101](https://github.com/jupyter-server/jupyter_ydoc/pull/101) ([@hbcarlos](https://github.com/hbcarlos))
- Import shared model [#86](https://github.com/jupyter-server/jupyter_ydoc/pull/86) ([@fcollonval](https://github.com/fcollonval))
- Add path document attribute [#81](https://github.com/jupyter-server/jupyter_ydoc/pull/81) ([@davidbrochart](https://github.com/davidbrochart))
- Make YBaseDoc an abstract base class [#74](https://github.com/jupyter-server/jupyter_ydoc/pull/74) ([@davidbrochart](https://github.com/davidbrochart))

### Bugs fixed

- Fixes metadata [#120](https://github.com/jupyter-server/jupyter_ydoc/pull/120) ([@hbcarlos](https://github.com/hbcarlos))
- Support cell.source is \[list, of, string\] [#112](https://github.com/jupyter-server/jupyter_ydoc/pull/112) ([@Wh1isper](https://github.com/Wh1isper))
- Removes YMap for attachements [#77](https://github.com/jupyter-server/jupyter_ydoc/pull/77) ([@fcollonval](https://github.com/fcollonval))
- Drop `pkg_resources` [#59](https://github.com/jupyter-server/jupyter_ydoc/pull/59) ([@jtpio](https://github.com/jtpio))

### Maintenance and upkeep improvements

- Bump toshimaru/auto-author-assign from 1.6.1 to 1.6.2 [#121](https://github.com/jupyter-server/jupyter_ydoc/pull/121) ([@dependabot](https://github.com/dependabot))
- Set up lerna [#119](https://github.com/jupyter-server/jupyter_ydoc/pull/119) ([@fcollonval](https://github.com/fcollonval))
- Bump tj-actions/changed-files from 35.1.0 to 35.2.1 [#118](https://github.com/jupyter-server/jupyter_ydoc/pull/118) ([@dependabot](https://github.com/dependabot))
- Bump tj-actions/changed-files from 35.0.0 to 35.1.0 [#116](https://github.com/jupyter-server/jupyter_ydoc/pull/116) ([@dependabot](https://github.com/dependabot))
- Bump tj-actions/changed-files from 34.5.3 to 35.0.0 [#113](https://github.com/jupyter-server/jupyter_ydoc/pull/113) ([@dependabot](https://github.com/dependabot))
- Bump tj-actions/changed-files from 34.5.0 to 34.5.3 [#109](https://github.com/jupyter-server/jupyter_ydoc/pull/109) ([@dependabot](https://github.com/dependabot))
- Bump tj-actions/changed-files from 34.4.4 to 34.5.0 [#100](https://github.com/jupyter-server/jupyter_ydoc/pull/100) ([@dependabot](https://github.com/dependabot))
- Bump actions/upload-artifact from 2 to 3 [#99](https://github.com/jupyter-server/jupyter_ydoc/pull/99) ([@dependabot](https://github.com/dependabot))
- Rename JS package to `@jupyter/ydoc` [#97](https://github.com/jupyter-server/jupyter_ydoc/pull/97) ([@jtpio](https://github.com/jtpio))
- Bump tj-actions/changed-files from 34.4.0 to 34.4.4 [#94](https://github.com/jupyter-server/jupyter_ydoc/pull/94) ([@dependabot](https://github.com/dependabot))
- Backport #90 on branch main (Releaser) [#92](https://github.com/jupyter-server/jupyter_ydoc/pull/92) ([@fcollonval](https://github.com/fcollonval))
- Bump tj-actions/changed-files from 34.2.2 to 34.4.0 [#91](https://github.com/jupyter-server/jupyter_ydoc/pull/91) ([@dependabot](https://github.com/dependabot))
- Bump tj-actions/changed-files from 34.0.2 to 34.2.2 [#87](https://github.com/jupyter-server/jupyter_ydoc/pull/87) ([@dependabot](https://github.com/dependabot))
- Bump tj-actions/changed-files from 33.0.0 to 34.0.2 [#84](https://github.com/jupyter-server/jupyter_ydoc/pull/84) ([@dependabot](https://github.com/dependabot))
- Bump tj-actions/changed-files from 31.0.3 to 33.0.0 [#80](https://github.com/jupyter-server/jupyter_ydoc/pull/80) ([@dependabot](https://github.com/dependabot))
- Bump pre-commit/action from 2.0.0 to 3.0.0 [#72](https://github.com/jupyter-server/jupyter_ydoc/pull/72) ([@dependabot](https://github.com/dependabot))
- Bump actions/checkout from 2 to 3 [#71](https://github.com/jupyter-server/jupyter_ydoc/pull/71) ([@dependabot](https://github.com/dependabot))
- Bump actions/setup-python from 2 to 4 [#70](https://github.com/jupyter-server/jupyter_ydoc/pull/70) ([@dependabot](https://github.com/dependabot))
- Bump actions/cache from 1 to 3 [#69](https://github.com/jupyter-server/jupyter_ydoc/pull/69) ([@dependabot](https://github.com/dependabot))
- Bump actions/setup-node from 2 to 3 [#68](https://github.com/jupyter-server/jupyter_ydoc/pull/68) ([@dependabot](https://github.com/dependabot))
- Bump tj-actions/changed-files from 31.0.1 to 31.0.3 [#67](https://github.com/jupyter-server/jupyter_ydoc/pull/67) ([@dependabot](https://github.com/dependabot))

### Documentation improvements

- Add badges [#105](https://github.com/jupyter-server/jupyter_ydoc/pull/105) ([@fcollonval](https://github.com/fcollonval))
- Docs [#102](https://github.com/jupyter-server/jupyter_ydoc/pull/102) ([@hbcarlos](https://github.com/hbcarlos))
- Adds docstring to the python package [#101](https://github.com/jupyter-server/jupyter_ydoc/pull/101) ([@hbcarlos](https://github.com/hbcarlos))
- Documentation [#95](https://github.com/jupyter-server/jupyter_ydoc/pull/95) ([@hbcarlos](https://github.com/hbcarlos))

### API and Breaking Changes

- Import shared model [#86](https://github.com/jupyter-server/jupyter_ydoc/pull/86) ([@fcollonval](https://github.com/fcollonval))

### Other merged PRs

- Fixes build js docs [#96](https://github.com/jupyter-server/jupyter_ydoc/pull/96) ([@hbcarlos](https://github.com/hbcarlos))
- Add workflows to ease maintenance [#64](https://github.com/jupyter-server/jupyter_ydoc/pull/64) ([@fcollonval](https://github.com/fcollonval))
- Test a case with plotly renderer [#63](https://github.com/jupyter-server/jupyter_ydoc/pull/63) ([@fcollonval](https://github.com/fcollonval))
- Pin @jupyterlab/shared-models >=4.0.0-alpha.10,\<4.0.0-alpha.14 [#61](https://github.com/jupyter-server/jupyter_ydoc/pull/61) ([@davidbrochart](https://github.com/davidbrochart))
- Cast only if number has same value [#57](https://github.com/jupyter-server/jupyter_ydoc/pull/57) ([@davidbrochart](https://github.com/davidbrochart))
- Add back YMap for cell metadata [#53](https://github.com/jupyter-server/jupyter_ydoc/pull/53) ([@davidbrochart](https://github.com/davidbrochart))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2022-09-26&to=2023-01-13&type=c))

[@davidbrochart](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adavidbrochart+updated%3A2022-09-26..2023-01-13&type=Issues) | [@dependabot](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adependabot+updated%3A2022-09-26..2023-01-13&type=Issues) | [@fcollonval](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Afcollonval+updated%3A2022-09-26..2023-01-13&type=Issues) | [@hbcarlos](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Ahbcarlos+updated%3A2022-09-26..2023-01-13&type=Issues) | [@jtpio](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Ajtpio+updated%3A2022-09-26..2023-01-13&type=Issues) | [@meeseeksdev](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Ameeseeksdev+updated%3A2022-09-26..2023-01-13&type=Issues) | [@pre-commit-ci](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Apre-commit-ci+updated%3A2022-09-26..2023-01-13&type=Issues) | [@welcome](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Awelcome+updated%3A2022-09-26..2023-01-13&type=Issues) | [@Wh1isper](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3AWh1isper+updated%3A2022-09-26..2023-01-13&type=Issues)

## 0.3.0a2

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/v0.3.0a1...145f811c15b640958076e9ff18dcc88ece3ac3e4))

### Enhancements made

- Notebook metadata [#115](https://github.com/jupyter-server/jupyter_ydoc/pull/115) ([@hbcarlos](https://github.com/hbcarlos))
- Make `YDocument` a `IObservableDisposable` [#108](https://github.com/jupyter-server/jupyter_ydoc/pull/108) ([@fcollonval](https://github.com/fcollonval))
- Add readme to javascript package [#106](https://github.com/jupyter-server/jupyter_ydoc/pull/106) ([@fcollonval](https://github.com/fcollonval))
- Adds docstring to the python package [#101](https://github.com/jupyter-server/jupyter_ydoc/pull/101) ([@hbcarlos](https://github.com/hbcarlos))
- Import shared model [#86](https://github.com/jupyter-server/jupyter_ydoc/pull/86) ([@fcollonval](https://github.com/fcollonval))

### Bugs fixed

- Support cell.source is \[list, of, string\] [#112](https://github.com/jupyter-server/jupyter_ydoc/pull/112) ([@Wh1isper](https://github.com/Wh1isper))

### Maintenance and upkeep improvements

- Bump tj-actions/changed-files from 35.1.0 to 35.2.1 [#118](https://github.com/jupyter-server/jupyter_ydoc/pull/118) ([@dependabot](https://github.com/dependabot))
- Bump tj-actions/changed-files from 35.0.0 to 35.1.0 [#116](https://github.com/jupyter-server/jupyter_ydoc/pull/116) ([@dependabot](https://github.com/dependabot))
- Bump tj-actions/changed-files from 34.5.3 to 35.0.0 [#113](https://github.com/jupyter-server/jupyter_ydoc/pull/113) ([@dependabot](https://github.com/dependabot))
- Bump tj-actions/changed-files from 34.5.0 to 34.5.3 [#109](https://github.com/jupyter-server/jupyter_ydoc/pull/109) ([@dependabot](https://github.com/dependabot))
- Bump tj-actions/changed-files from 34.4.4 to 34.5.0 [#100](https://github.com/jupyter-server/jupyter_ydoc/pull/100) ([@dependabot](https://github.com/dependabot))
- Bump actions/upload-artifact from 2 to 3 [#99](https://github.com/jupyter-server/jupyter_ydoc/pull/99) ([@dependabot](https://github.com/dependabot))
- Rename JS package to `@jupyter/ydoc` [#97](https://github.com/jupyter-server/jupyter_ydoc/pull/97) ([@jtpio](https://github.com/jtpio))
- Bump tj-actions/changed-files from 34.4.0 to 34.4.4 [#94](https://github.com/jupyter-server/jupyter_ydoc/pull/94) ([@dependabot](https://github.com/dependabot))
- Backport #90 on branch main (Releaser) [#92](https://github.com/jupyter-server/jupyter_ydoc/pull/92) ([@fcollonval](https://github.com/fcollonval))
- Bump tj-actions/changed-files from 34.2.2 to 34.4.0 [#91](https://github.com/jupyter-server/jupyter_ydoc/pull/91) ([@dependabot](https://github.com/dependabot))
- Bump tj-actions/changed-files from 34.0.2 to 34.2.2 [#87](https://github.com/jupyter-server/jupyter_ydoc/pull/87) ([@dependabot](https://github.com/dependabot))
- Bump tj-actions/changed-files from 33.0.0 to 34.0.2 [#84](https://github.com/jupyter-server/jupyter_ydoc/pull/84) ([@dependabot](https://github.com/dependabot))

### Documentation improvements

- Add badges [#105](https://github.com/jupyter-server/jupyter_ydoc/pull/105) ([@fcollonval](https://github.com/fcollonval))
- Docs [#102](https://github.com/jupyter-server/jupyter_ydoc/pull/102) ([@hbcarlos](https://github.com/hbcarlos))
- Adds docstring to the python package [#101](https://github.com/jupyter-server/jupyter_ydoc/pull/101) ([@hbcarlos](https://github.com/hbcarlos))
- Documentation [#95](https://github.com/jupyter-server/jupyter_ydoc/pull/95) ([@hbcarlos](https://github.com/hbcarlos))

### API and Breaking Changes

- Import shared model [#86](https://github.com/jupyter-server/jupyter_ydoc/pull/86) ([@fcollonval](https://github.com/fcollonval))

### Other merged PRs

- Fixes build js docs [#96](https://github.com/jupyter-server/jupyter_ydoc/pull/96) ([@hbcarlos](https://github.com/hbcarlos))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2022-10-26&to=2023-01-05&type=c))

[@davidbrochart](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adavidbrochart+updated%3A2022-10-26..2023-01-05&type=Issues) | [@dependabot](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adependabot+updated%3A2022-10-26..2023-01-05&type=Issues) | [@fcollonval](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Afcollonval+updated%3A2022-10-26..2023-01-05&type=Issues) | [@hbcarlos](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Ahbcarlos+updated%3A2022-10-26..2023-01-05&type=Issues) | [@jtpio](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Ajtpio+updated%3A2022-10-26..2023-01-05&type=Issues) | [@meeseeksdev](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Ameeseeksdev+updated%3A2022-10-26..2023-01-05&type=Issues) | [@pre-commit-ci](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Apre-commit-ci+updated%3A2022-10-26..2023-01-05&type=Issues) | [@welcome](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Awelcome+updated%3A2022-10-26..2023-01-05&type=Issues) | [@Wh1isper](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3AWh1isper+updated%3A2022-10-26..2023-01-05&type=Issues)

## 0.3.0a1

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/v0.3.0a0...6dcc9ec61f4b022ec43bdaa7916bd58de481c761))

### Enhancements made

- Add path document attribute [#81](https://github.com/jupyter-server/jupyter_ydoc/pull/81) ([@davidbrochart](https://github.com/davidbrochart))
- Make YBaseDoc an abstract base class [#74](https://github.com/jupyter-server/jupyter_ydoc/pull/74) ([@davidbrochart](https://github.com/davidbrochart))

### Bugs fixed

- Removes YMap for attachements [#77](https://github.com/jupyter-server/jupyter_ydoc/pull/77) ([@fcollonval](https://github.com/fcollonval))
- Drop `pkg_resources` [#59](https://github.com/jupyter-server/jupyter_ydoc/pull/59) ([@jtpio](https://github.com/jtpio))

### Maintenance and upkeep improvements

- Bump tj-actions/changed-files from 31.0.3 to 33.0.0 [#80](https://github.com/jupyter-server/jupyter_ydoc/pull/80) ([@dependabot](https://github.com/dependabot))
- Bump pre-commit/action from 2.0.0 to 3.0.0 [#72](https://github.com/jupyter-server/jupyter_ydoc/pull/72) ([@dependabot](https://github.com/dependabot))
- Bump actions/checkout from 2 to 3 [#71](https://github.com/jupyter-server/jupyter_ydoc/pull/71) ([@dependabot](https://github.com/dependabot))
- Bump actions/setup-python from 2 to 4 [#70](https://github.com/jupyter-server/jupyter_ydoc/pull/70) ([@dependabot](https://github.com/dependabot))
- Bump actions/cache from 1 to 3 [#69](https://github.com/jupyter-server/jupyter_ydoc/pull/69) ([@dependabot](https://github.com/dependabot))
- Bump actions/setup-node from 2 to 3 [#68](https://github.com/jupyter-server/jupyter_ydoc/pull/68) ([@dependabot](https://github.com/dependabot))
- Bump tj-actions/changed-files from 31.0.1 to 31.0.3 [#67](https://github.com/jupyter-server/jupyter_ydoc/pull/67) ([@dependabot](https://github.com/dependabot))

### Other merged PRs

- Add workflows to ease maintenance [#64](https://github.com/jupyter-server/jupyter_ydoc/pull/64) ([@fcollonval](https://github.com/fcollonval))
- Test a case with plotly renderer [#63](https://github.com/jupyter-server/jupyter_ydoc/pull/63) ([@fcollonval](https://github.com/fcollonval))
- Pin @jupyterlab/shared-models >=4.0.0-alpha.10,\<4.0.0-alpha.14 [#61](https://github.com/jupyter-server/jupyter_ydoc/pull/61) ([@davidbrochart](https://github.com/davidbrochart))
- Cast only if number has same value [#57](https://github.com/jupyter-server/jupyter_ydoc/pull/57) ([@davidbrochart](https://github.com/davidbrochart))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2022-09-26&to=2022-10-26&type=c))

[@davidbrochart](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adavidbrochart+updated%3A2022-09-26..2022-10-26&type=Issues) | [@dependabot](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adependabot+updated%3A2022-09-26..2022-10-26&type=Issues) | [@fcollonval](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Afcollonval+updated%3A2022-09-26..2022-10-26&type=Issues) | [@jtpio](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Ajtpio+updated%3A2022-09-26..2022-10-26&type=Issues) | [@pre-commit-ci](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Apre-commit-ci+updated%3A2022-09-26..2022-10-26&type=Issues) | [@welcome](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Awelcome+updated%3A2022-09-26..2022-10-26&type=Issues)

## 0.3.0a0

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/v0.2.0...63af4d7c91f1ba101612f0e52c24855a21eafedc))

### Merged PRs

- Add back YMap for cell metadata [#53](https://github.com/jupyter-server/jupyter_ydoc/pull/53) ([@davidbrochart](https://github.com/davidbrochart))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2022-09-26&to=2022-09-26&type=c))

[@davidbrochart](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adavidbrochart+updated%3A2022-09-26..2022-09-26&type=Issues)

## 0.2.0

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/v0.1.17...55dc65afafb669d0a5552e485cf860d402740dc7))

### Merged PRs

- Use hatch [#51](https://github.com/jupyter-server/jupyter_ydoc/pull/51) ([@davidbrochart](https://github.com/davidbrochart))
- Removes YMap for cell metadata [#50](https://github.com/jupyter-server/jupyter_ydoc/pull/50) ([@hbcarlos](https://github.com/hbcarlos))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2022-08-01&to=2022-09-26&type=c))

[@davidbrochart](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adavidbrochart+updated%3A2022-08-01..2022-09-26&type=Issues) | [@hbcarlos](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Ahbcarlos+updated%3A2022-08-01..2022-09-26&type=Issues) | [@pre-commit-ci](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Apre-commit-ci+updated%3A2022-08-01..2022-09-26&type=Issues)

## 0.1.17

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/v0.1.16...106ee079e2ad9ed7c8b25693932ad921e3ea3e20))

### Merged PRs

- Handle missing attachment key [#43](https://github.com/jupyter-server/jupyter_ydoc/pull/43) ([@jimgoo](https://github.com/jimgoo))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2022-07-27&to=2022-08-01&type=c))

[@jimgoo](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Ajimgoo+updated%3A2022-07-27..2022-08-01&type=Issues) | [@welcome](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Awelcome+updated%3A2022-07-27..2022-08-01&type=Issues)

## 0.1.16

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/v0.1.15...780f8b8e898e31b6e82017a2bc2d04475728890f))

### Merged PRs

- Move ypy-websocket dependency to test [#41](https://github.com/jupyter-server/jupyter_ydoc/pull/41) ([@davidbrochart](https://github.com/davidbrochart))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2022-07-27&to=2022-07-27&type=c))

[@davidbrochart](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adavidbrochart+updated%3A2022-07-27..2022-07-27&type=Issues)

## 0.1.15

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/v0.1.14...41a1ad194b5cd26dc405ef9d774c05dde494a489))

### Merged PRs

- Add YNotebook get_cell, set_cell, append_cell [#35](https://github.com/jupyter-server/jupyter_ydoc/pull/35) ([@davidbrochart](https://github.com/davidbrochart))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2022-07-26&to=2022-07-27&type=c))

[@davidbrochart](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adavidbrochart+updated%3A2022-07-26..2022-07-27&type=Issues)

## 0.1.14

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/v0.1.13...523dc9e3ff9aed516ff0b0e3f2f7528f6da02faa))

### Merged PRs

- Align notebook schema with JupyterLab HEAD [#38](https://github.com/jupyter-server/jupyter_ydoc/pull/38) ([@davidbrochart](https://github.com/davidbrochart))
- [pre-commit.ci] pre-commit autoupdate [#37](https://github.com/jupyter-server/jupyter_ydoc/pull/37) ([@pre-commit-ci](https://github.com/pre-commit-ci))
- [pre-commit.ci] pre-commit autoupdate [#36](https://github.com/jupyter-server/jupyter_ydoc/pull/36) ([@pre-commit-ci](https://github.com/pre-commit-ci))
- [pre-commit.ci] pre-commit autoupdate [#28](https://github.com/jupyter-server/jupyter_ydoc/pull/28) ([@pre-commit-ci](https://github.com/pre-commit-ci))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2022-07-04&to=2022-07-26&type=c))

[@davidbrochart](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adavidbrochart+updated%3A2022-07-04..2022-07-26&type=Issues) | [@pre-commit-ci](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Apre-commit-ci+updated%3A2022-07-04..2022-07-26&type=Issues)

## 0.1.13

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/v0.1.12...807dc511e2d3536c62d0710d2b97a21c6e704337))

### Merged PRs

- Update API [#32](https://github.com/jupyter-server/jupyter_ydoc/pull/32) ([@hbcarlos](https://github.com/hbcarlos))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2022-06-30&to=2022-07-04&type=c))

[@hbcarlos](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Ahbcarlos+updated%3A2022-06-30..2022-07-04&type=Issues)

## 0.1.12

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/v0.1.11...05c97a4b32b826f7c5224d8807340314a7df832d))

### Merged PRs

- Fix type checking when casting [#30](https://github.com/jupyter-server/jupyter_ydoc/pull/30) ([@davidbrochart](https://github.com/davidbrochart))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2022-06-09&to=2022-06-30&type=c))

[@davidbrochart](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adavidbrochart+updated%3A2022-06-09..2022-06-30&type=Issues)

## 0.1.11

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/v0.1.10...9329161e338ac999a1c342bce89bf4f642b426aa))

### Merged PRs

- Changes the schema [#27](https://github.com/jupyter-server/jupyter_ydoc/pull/27) ([@hbcarlos](https://github.com/hbcarlos))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2022-05-19&to=2022-06-09&type=c))

[@hbcarlos](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Ahbcarlos+updated%3A2022-05-19..2022-06-09&type=Issues)

## 0.1.10

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/v0.1.9...142953275358ce675203d3de479cf8f2a4413fe8))

### Merged PRs

- Remove document apply_update method [#25](https://github.com/jupyter-server/jupyter_ydoc/pull/25) ([@davidbrochart](https://github.com/davidbrochart))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2022-05-19&to=2022-05-19&type=c))

[@davidbrochart](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adavidbrochart+updated%3A2022-05-19..2022-05-19&type=Issues)

## 0.1.9

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/v0.1.8...4654f6176af5c6f26f18646283e9eec16b1f013f))

### Merged PRs

- Add document apply_update method [#23](https://github.com/jupyter-server/jupyter_ydoc/pull/23) ([@davidbrochart](https://github.com/davidbrochart))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2022-05-12&to=2022-05-19&type=c))

[@davidbrochart](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adavidbrochart+updated%3A2022-05-12..2022-05-19&type=Issues)

## 0.1.8

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/v0.1.7...3662d97fadde04e70dd599523666f2716dcd14de))

### Merged PRs

- Move nbformat and nbformat_minor to meta YMap [#21](https://github.com/jupyter-server/jupyter_ydoc/pull/21) ([@davidbrochart](https://github.com/davidbrochart))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2022-05-11&to=2022-05-12&type=c))

[@davidbrochart](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adavidbrochart+updated%3A2022-05-11..2022-05-12&type=Issues) | [@hbcarlos](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Ahbcarlos+updated%3A2022-05-11..2022-05-12&type=Issues)

## 0.1.7

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/v0.1.6...b382a35a052da5b99c94d9bedaaa92634b5d1fb4))

### Merged PRs

- Also observe the state YMap [#19](https://github.com/jupyter-server/jupyter_ydoc/pull/19) ([@davidbrochart](https://github.com/davidbrochart))
- Change URL to point to jupyter-server [#18](https://github.com/jupyter-server/jupyter_ydoc/pull/18) ([@davidbrochart](https://github.com/davidbrochart))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2022-05-11&to=2022-05-11&type=c))

[@davidbrochart](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adavidbrochart+updated%3A2022-05-11..2022-05-11&type=Issues)

## 0.1.6

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/v0.1.5...09cf7997439a7ca2a36041390a4e93984277a36c))

### Merged PRs

- Allow to set dirty whatever the previous value [#16](https://github.com/jupyter-server/jupyter_ydoc/pull/16) ([@davidbrochart](https://github.com/davidbrochart))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2022-05-10&to=2022-05-11&type=c))

[@davidbrochart](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adavidbrochart+updated%3A2022-05-10..2022-05-11&type=Issues)

## 0.1.5

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/v0.1.4...5b36f6bed6c4d5a789b9dd7b06a526889e515511))

### Merged PRs

- Adds id to cells [#13](https://github.com/jupyter-server/jupyter_ydoc/pull/13) ([@hbcarlos](https://github.com/hbcarlos))
- [pre-commit.ci] pre-commit autoupdate [#12](https://github.com/jupyter-server/jupyter_ydoc/pull/12) ([@pre-commit-ci](https://github.com/pre-commit-ci))
- Transfer repo to jupyter-server org [#11](https://github.com/jupyter-server/jupyter_ydoc/pull/11) ([@davidbrochart](https://github.com/davidbrochart))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2022-05-09&to=2022-05-10&type=c))

[@davidbrochart](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adavidbrochart+updated%3A2022-05-09..2022-05-10&type=Issues) | [@hbcarlos](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Ahbcarlos+updated%3A2022-05-09..2022-05-10&type=Issues) | [@pre-commit-ci](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Apre-commit-ci+updated%3A2022-05-09..2022-05-10&type=Issues) | [@welcome](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Awelcome+updated%3A2022-05-09..2022-05-10&type=Issues)

## 0.1.4

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/v0.1.3...d6e754a8c957582029d923cadc4e6547a324718c))

### Merged PRs

- Update ypy>=0.5.0 [#9](https://github.com/jupyter-server/jupyter_ydoc/pull/9) ([@davidbrochart](https://github.com/davidbrochart))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2022-05-05&to=2022-05-09&type=c))

[@davidbrochart](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adavidbrochart+updated%3A2022-05-05..2022-05-09&type=Issues)

## 0.1.3

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/v0.1.2...c68ebe54e500edde4eb34aa598dfb7bbb4d22b63))

### Merged PRs

- Add setuptools to install_requires [#7](https://github.com/jupyter-server/jupyter_ydoc/pull/7) ([@davidbrochart](https://github.com/davidbrochart))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2022-05-05&to=2022-05-05&type=c))

[@davidbrochart](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adavidbrochart+updated%3A2022-05-05..2022-05-05&type=Issues)

## 0.1.2

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/v0.1.1...6a1fc44531344e1f930a7fd52b62cbd289873be0))

### Merged PRs

- Improve jupyter_ydoc.ydocs [#5](https://github.com/jupyter-server/jupyter_ydoc/pull/5) ([@davidbrochart](https://github.com/davidbrochart))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2022-05-04&to=2022-05-05&type=c))

[@davidbrochart](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adavidbrochart+updated%3A2022-05-04..2022-05-05&type=Issues)

## 0.1.1

([Full Changelog](https://github.com/jupyter-server/jupyter_ydoc/compare/0.1.0...9db91b826c38116ab1e00b26140dd49950e1a793))

### Merged PRs

- Add test [#3](https://github.com/jupyter-server/jupyter_ydoc/pull/3) ([@davidbrochart](https://github.com/davidbrochart))
- Update README [#1](https://github.com/jupyter-server/jupyter_ydoc/pull/1) ([@davidbrochart](https://github.com/davidbrochart))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyter-server/jupyter_ydoc/graphs/contributors?from=2022-05-02&to=2022-05-04&type=c))

[@davidbrochart](https://github.com/search?q=repo%3Ajupyter-server%2Fjupyter_ydoc+involves%3Adavidbrochart+updated%3A2022-05-02..2022-05-04&type=Issues)

## 0.1.0
